XIA Configuration Server logo

Upcoming changes to XIA Configuration Server

23rd March 2017

Ensure you're ready for the new XIA Configuration Server!

The next release of our automated documentation tool XIA Configuration Server is coming soon.  Due to the improvements we've made to security, we are moving to the latest version of the .NET Framework - version 4.6.2. Please review the revised list of installation requirements below.

Note: The list of supported target systems that are scanned will not be affected by this update.

Operating Systems

The following operating systems are supported for the installation of both the XIA Configuration Server and Client:
  • Windows Server 2016
  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2008 R2 SP1

Desktop Operating Systems

The following desktop operating systems are supported for the trial version and single user technician's license installations:
  • Windows 10 Pro Anniversary Edition (64-bit)
  • Windows 8.1 Professional (64-bit)
  • Windows 7 Professional SP1 (64-bit)

.NET Framework 4.6.2

  • .NET Framework version 4.6.2 is installed automatically*

Internet Information Server

  • Internet Information Server is installed automatically

SQL

The following versions of SQL are supported for the installation of the XIA Configuration Server:
  • SQL Server 2016
  • SQL Server 2014
  • SQL Server 2012
  • SQL Server 2008 R2

Automatic Client Updates

* For automatic updates, although the installer will automatically install .NET Framework 4.6.2 if the prerequisites are met, we would recommend that it is installed manually before performing an automatic update.
Back to news list >